org.keycloak.representations.provider

## Class ScriptProviderDescriptor

- java.lang.Object
- - org.keycloak.representations.provider.ScriptProviderDescriptor

-     public class ScriptProviderDescriptor
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTHENTICATORS`
    `static String` | `MAPPERS`
    `static String` | `POLICIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptProviderDescriptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAuthenticator(String name, String fileName)`
    `void` | `addMapper(String name, String fileName)`
    `void` | `addPolicy(String name, String fileName)`
    `Map<String,List<ScriptProviderMetadata>>` | `getProviders()`
    `void` | `setAuthenticators(List<ScriptProviderMetadata> metadata)`
    `void` | `setMappers(List<ScriptProviderMetadata> metadata)`
    `void` | `setPolicies(List<ScriptProviderMetadata> metadata)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTHENTICATORS

          public static final String AUTHENTICATORS

      See Also:
        Constant Field Values

    - #### POLICIES

          public static final String POLICIES

      See Also:
        Constant Field Values

    - #### MAPPERS

          public static final String MAPPERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScriptProviderDescriptor

          public ScriptProviderDescriptor()

  - ### Method Detail

    - #### getProviders

          public Map<String,List<ScriptProviderMetadata>> getProviders()

    - #### setAuthenticators

          public void setAuthenticators(List<ScriptProviderMetadata> metadata)

    - #### setPolicies

          public void setPolicies(List<ScriptProviderMetadata> metadata)

    - #### setMappers

          public void setMappers(List<ScriptProviderMetadata> metadata)

    - #### addAuthenticator

          public void addAuthenticator(String name,
                                       String fileName)

    - #### addPolicy

          public void addPolicy(String name,
                                String fileName)

    - #### addMapper

          public void addMapper(String name,
                                String fileName)

Copyright © 2021 JBoss by Red Hat. All rights reserved.